> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create template

> Creates a new template



## OpenAPI

````yaml /api-reference/oda-widget-service-1.0.0.yml post /templates/commands/create
openapi: 3.0.1
info:
  title: ODA Widget Service
  description: ODA Widget Service
  contact:
    name: stCarolas
    email: stcarolas@gmail.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.en.html
  version: 1.0.0
servers: []
security: []
paths:
  /templates/commands/create:
    post:
      summary: Create template
      description: Creates a new template
      operationId: execute
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTemplateApi.CreateTemplateCommand'
        required: true
      responses:
        '200':
          description: Template created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TemplateDto'
        '401':
          description: Unauthorized
components:
  schemas:
    CreateTemplateApi.CreateTemplateCommand:
      required:
        - properties
        - showcase
        - widgetType
      type: object
      properties:
        widgetType:
          type: string
        showcase:
          type: string
        properties:
          type: array
          items:
            type: object
            additionalProperties:
              type: object
    TemplateDto:
      required:
        - id
        - properties
        - recipientId
        - showcase
      type: object
      properties:
        id:
          type: string
        showcase:
          type: string
        properties:
          type: array
          items:
            type: object
            additionalProperties:
              type: object
        recipientId:
          type: string

````